PDA

View Full Version : Upgrade patch cannot be installed



fmei106
04-29-2004, 04:32 PM
I'm trying to create a patch for the first time and I've tried several different things, but nothing is working. First I created a patch in the Installation Designer under Patch Design. I picked my original setup and my latest setup and selected two whole .exe files to include that have changed since the first release. I compiled my patch with no errors and tested it against an installation of the first release. I get no errors, but my newer files were not replaced. I researched the Knowledge Base and realized that the version of the .exe's I wanted to update had not changed so I compiled them again and assigned a newer version to the .exe's. Now when I test my patch I get the error, "The upgrade patch cannot be installed...because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program..."
I thought that was the point--the version of the file should be different in order for the newer file to replace the old one?? I get the exact same results when I try using the QuickPatch project wizard. All I'm trying to do is make it easier to install an updated file that is already installed on the customer's machine. Any input is appreciated. My project is an InstallScript MSI Project.